GNU bug report logs - #66817
ansible-core package fails to build

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Apoorv <apoorvs569@HIDDEN>; Done: Simon Tournier <zimon.toutoune@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
bug closed, send any further explanations to 66817 <at> debbugs.gnu.org and Apoorv <apoorvs569@HIDDEN> Request was from Simon Tournier <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 66817 <at> debbugs.gnu.org:


Received: (at 66817) by debbugs.gnu.org; 30 Nov 2023 17:46:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 30 12:46:33 2023
Received: from localhost ([127.0.0.1]:54440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r8l7Q-0005Kv-Nn
	for submit <at> debbugs.gnu.org; Thu, 30 Nov 2023 12:46:33 -0500
Received: from mail-pg1-x52e.google.com ([2607:f8b0:4864:20::52e]:53571)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <apoorvs569@HIDDEN>) id 1r8ibS-0000o0-P6
 for 66817 <at> debbugs.gnu.org; Thu, 30 Nov 2023 10:05:23 -0500
Received: by mail-pg1-x52e.google.com with SMTP id
 41be03b00d2f7-5c19a328797so822074a12.3
 for <66817 <at> debbugs.gnu.org>; Thu, 30 Nov 2023 07:05:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1701356708; x=1701961508; darn=debbugs.gnu.org;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=YZnLXQ3Smg6HnSPGyk0ueJMqfQ+QWxQ/4ccQU5z8xnY=;
 b=DyIoFiAQQ1nUbAfR/Z5YXbkJysQsgFofoJsbjiYWNNYH2Qsia5zDQUCz5PufTr0+R9
 dt5IQysfIt0g6KfHQmNqs9cLUYj7R3Q1z0FT87trFX6tQC82aU29/Q4JcbiO05KCf8m+
 xCg5qyOGZdXTs44NyUmAgzMrudBnDCkj4eHMmQDK8yOyZV3/r4Y+RHkkVUwde2LzbX1L
 OfrNzfu2AGIlr9bvf4XaDrO4HbPi1sIEynS94NZkmxYUseauGRcbRUu48g/jBTUF6Akb
 Ty8mxAz6M7+V7snhHmJByVJezwtNAK8k8/8N4DoWJwOKYgGJ9vlOAtVrg5ILLhsdOjHk
 uaow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1701356708; x=1701961508;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=YZnLXQ3Smg6HnSPGyk0ueJMqfQ+QWxQ/4ccQU5z8xnY=;
 b=jBqZVi1H7YnLLC3KzVhrULuiBJ+F/ASh9aVYRfZqBuc9zk3684BKZbhotOqdbX4ZF+
 2WK5NatgB/XRkiY01o8CkWKva5QxMg5C/EEJg555DPog/wuxz7jFX31CiOkKjz5hRfU8
 O+QXHV587vK3WeI/LzPSxYXUF5W2Xb1XQyIA1mFs0AIJ6P0oRQSt1OFCK3rOi/1/v8WQ
 ggy9JdCnRXfqk0dzJM9eilCqCvUcnLkJd1X2SrdhZQzrYX0QgCU9EfpX5W48soJU3nYR
 BYHjfGHDojV1XuINpFiDlJV5X8uiSgNao3Bis4vAUgZYHf+kTC78FxU75rocNF1I7o0H
 K3NA==
X-Gm-Message-State: AOJu0YySjQfz9/4hP0E2zQAAyCZ5s6qrr2wRtjUX5a+S5lIohxup/Ko0
 MLQRleV3WKUFTEIsH/s9uJUbwZpOxXXbwyEoCCu+mhw=
X-Google-Smtp-Source: AGHT+IHdTkXCigQFsxfL8vHi/2vOVFCmq5To6LAJsaLIT43NB1iXhdIKCugOEPSuqiUCJtkh4+8hp+tZY36i+s6uIHk=
X-Received: by 2002:a17:90b:1a8b:b0:286:60c:3485 with SMTP id
 ng11-20020a17090b1a8b00b00286060c3485mr7939283pjb.27.1701356708373; Thu, 30
 Nov 2023 07:05:08 -0800 (PST)
MIME-Version: 1.0
From: Apoorv <apoorvs569@HIDDEN>
Date: Thu, 30 Nov 2023 20:34:57 +0530
Message-ID: <CAEuo0jh=8eX1MXMTFefePZjYH3L7uxoXsMOstejWPojs+-Ri=Q@HIDDEN>
Subject: Issue is fixed now.
To: 66817 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000003d3391060b5ffa96"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 66817
X-Mailman-Approved-At: Thu, 30 Nov 2023 12:46:30 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

--0000000000003d3391060b5ffa96
Content-Type: text/plain; charset="UTF-8"

Yes the issue seems to be fixed now, ansible package which requires
ansible-core builds fine now. The issue can be closed now.

--0000000000003d3391060b5ffa96
Content-Type: text/html; charset="UTF-8"

<div dir="ltr">Yes the issue seems to be fixed now, ansible package which requires ansible-core builds fine now. The issue can be closed now.<br></div>

--0000000000003d3391060b5ffa96--




Information forwarded to bug-guix@HIDDEN:
bug#66817; Package guix. Full text available.

Message received at 66817 <at> debbugs.gnu.org:


Received: (at 66817) by debbugs.gnu.org; 30 Nov 2023 09:28:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 30 04:28:27 2023
Received: from localhost ([127.0.0.1]:52294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1r8dLP-0001ig-FU
	for submit <at> debbugs.gnu.org; Thu, 30 Nov 2023 04:28:27 -0500
Received: from mail-wm1-x329.google.com ([2a00:1450:4864:20::329]:38155)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1r8dLK-0001ht-14
 for 66817 <at> debbugs.gnu.org; Thu, 30 Nov 2023 04:28:22 -0500
Received: by mail-wm1-x329.google.com with SMTP id
 5b1f17b1804b1-40b3febbce3so724095e9.1
 for <66817 <at> debbugs.gnu.org>; Thu, 30 Nov 2023 01:28:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1701336488; x=1701941288; darn=debbugs.gnu.org;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=+VmqlGmuJIlGD1xObAKSVHwGDOB29I6Nl7QEljnNxF0=;
 b=LQ1HVYglZUEMjtypdZ5B2q4vWw8XzE824iolR/w8Bjm3JYaKDnxjMsAMoG4VFjQIB6
 Xn0OE/E4l4YZ3RuwiO5WGRnmQNS09lTO+T/hrpHopilj28rH/tbCuJ67bigOAKj+NVfU
 kfVBgMbyRdfG0cnE4WotcKftvnxSYbEdL9+Iwd6yhECK0G+RUzNjDAO25NZJRuu6Pyhc
 WkMwBafuezTmiWYrPXCnQbtZqCcENrX7+egCpeVcwlJLg1ElT+h1f8GDZv8ZeQM2evE2
 ag/BGSb3G2d+YHD3+wv625XYKRHHNdOnnaK3s9IGV1jaaQ75Yk5BLGq8pw41zCjW+T8X
 PphQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1701336488; x=1701941288;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=+VmqlGmuJIlGD1xObAKSVHwGDOB29I6Nl7QEljnNxF0=;
 b=JCPdiFvsFA1SMGqEH9AZob2bGr/J3BbdrLuUjnQVSfdOFkeVhgqdyXOWrLa4WHu0fY
 siktqjPgz6K4hqHkfEtuhKqkBhOVAeOkNnreR/Cm69D2WBtA+BHg35UmwWID6RaC3SvQ
 9Pv+lcUapPOYCqvGfiVm4WZUMYRO6LFwyWyX/ywYJs6GskVLM3T3kzR10oeiDACyGLKt
 Zqkc9u7E4Q8NDCnvc49VESoRnY0+7P4h9aCRAAm9nTXnjm41Y7EbI08oMhYpP1maxhmv
 AhULbLb76zsvx4i7sVIyno9SF5Xi7ir5gOqB1mLvfd/p/MJ7AfnwM4RfXCT7aodxuATH
 rxqA==
X-Gm-Message-State: AOJu0Ywm5zjApNO89IZ7ulKVDFdOxFdgumOK4prYUmEcPz+v+A3yi6Kx
 p4AYH8bxuE1N6RjgcCDXSng+oyLTXWs=
X-Google-Smtp-Source: AGHT+IHUbKln8GYP+Dro3swx8cbpsw1FnwZLEqb8B+Z8ptTdHfqhkJO94HD8maJnTyvmI20O0TPkdw==
X-Received: by 2002:a05:600c:54f0:b0:40b:4b69:b1a0 with SMTP id
 jb16-20020a05600c54f000b0040b4b69b1a0mr5604211wmb.3.1701336488052; 
 Thu, 30 Nov 2023 01:28:08 -0800 (PST)
Received: from lili (roam-nat-fw-prg-194-254-61-47.net.univ-paris-diderot.fr.
 [194.254.61.47]) by smtp.gmail.com with ESMTPSA id
 fc12-20020a05600c524c00b0040b400711f5sm5033662wmb.7.2023.11.30.01.28.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 30 Nov 2023 01:28:07 -0800 (PST)
From: Simon Tournier <zimon.toutoune@HIDDEN>
To: Jack Hill <jackhill@HIDDEN>, Apoorv <apoorvs569@HIDDEN>
Subject: Re: bug#66817: ansible-core package fails to build
In-Reply-To: <d4aa2931-43e1-d850-80bd-89d72060cdfa@HIDDEN>
References: <CAEuo0jhBm_h_r05=a6LmzFKZ+_EWP5DTS0L+wnfMDqFS7a-GGQ@HIDDEN>
 <d4aa2931-43e1-d850-80bd-89d72060cdfa@HIDDEN>
Date: Wed, 29 Nov 2023 20:35:58 +0100
Message-ID: <87a5qw5p41.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 66817
Cc: 66817 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

Hi,

On dim., 29 oct. 2023 at 12:28, Jack Hill <jackhill@HIDDEN> wrote:

> I recently looked into updating Ansible to the latest version in #66766. 
> It could use a review and more testing, but it does solve some problems; 
> the packages at least build now.
>
> https://issues.guix.gnu.org/66766

Tiis patch had been merged.

Apoorv, is your issue solved now?

Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#66817; Package guix. Full text available.

Message received at 66817 <at> debbugs.gnu.org:


Received: (at 66817) by debbugs.gnu.org; 29 Oct 2023 16:29:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 29 12:29:27 2023
Received: from localhost ([127.0.0.1]:43206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qx8fH-0007XX-Bv
	for submit <at> debbugs.gnu.org; Sun, 29 Oct 2023 12:29:27 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:54770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1qx8fF-0007XH-Op
 for 66817 <at> debbugs.gnu.org; Sun, 29 Oct 2023 12:29:26 -0400
Received: from [71.69.176.211] (helo=mimolette.home.eronel.org)
 by minsky.hcoop.net with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <jackhill@HIDDEN>)
 id 1qx8ed-0001HO-DW; Sun, 29 Oct 2023 12:28:47 -0400
Date: Sun, 29 Oct 2023 12:28:41 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
To: Apoorv <apoorvs569@HIDDEN>
Subject: Re: bug#66817: ansible-core package fails to build
In-Reply-To: <CAEuo0jhBm_h_r05=a6LmzFKZ+_EWP5DTS0L+wnfMDqFS7a-GGQ@HIDDEN>
Message-ID: <d4aa2931-43e1-d850-80bd-89d72060cdfa@HIDDEN>
References: <CAEuo0jhBm_h_r05=a6LmzFKZ+_EWP5DTS0L+wnfMDqFS7a-GGQ@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; format=flowed
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 66817
Cc: 66817 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Apoorv,

On Sun, 29 Oct 2023, Apoorv wrote:

> ansible-core package fails to build, here are the logs,

I recently looked into updating Ansible to the latest version in #66766. 
It could use a review and more testing, but it does solve some problems; 
the packages at least build now.

https://issues.guix.gnu.org/66766

Best,
Jack




Information forwarded to bug-guix@HIDDEN:
bug#66817; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Oct 2023 14:18:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 29 10:18:10 2023
Received: from localhost ([127.0.0.1]:42934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qx6cB-0006vm-3A
	for submit <at> debbugs.gnu.org; Sun, 29 Oct 2023 10:18:10 -0400
Received: from lists.gnu.org ([2001:470:142::17]:53058)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <apoorvs569@HIDDEN>) id 1qx4cY-0000Yb-J7
 for submit <at> debbugs.gnu.org; Sun, 29 Oct 2023 08:10:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <apoorvs569@HIDDEN>)
 id 1qx4bw-0004AT-GS
 for bug-guix@HIDDEN; Sun, 29 Oct 2023 08:09:44 -0400
Received: from mail-pg1-x52a.google.com ([2607:f8b0:4864:20::52a])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <apoorvs569@HIDDEN>)
 id 1qx4bk-0005HH-8u
 for bug-guix@HIDDEN; Sun, 29 Oct 2023 08:09:44 -0400
Received: by mail-pg1-x52a.google.com with SMTP id
 41be03b00d2f7-5ab94fc098cso2269957a12.1
 for <bug-guix@HIDDEN>; Sun, 29 Oct 2023 05:09:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1698581370; x=1699186170; darn=gnu.org;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=epxcyq+a2vZAIa/kgnHSNwEKhQ3L54LPFvuwvoKPxC8=;
 b=EnfOZUGbcWxJX3GcFJWd57wqTjbK/NUTPT1hJtotahumbqLjuayx4a/8eARyYLK1tc
 2Pobay/EkLeEd3DlNnb6/Iv9/i62PegXMQr2Psd4uICIsXZmViX46WMZVxTrt5Zw7BBk
 WTYdTWqytivYMMoYKMjjNAdmMzQ7ZF0ClKl2ciPFFcQnjl0oamCoIdNE4o719AqIEyTA
 JFa1Al2iXMYGNvvyf9keSMxXSh7lVWbt8/5Sm7a3T4iJgcu7pbiwo5Lg5OanLn7amn/G
 WIa8NQGgmbnfg3In5e4y7DjBAP4+BYyAnPxgQL6WDYPLa8/wo+3y8pRohodNVhVS7DZN
 BNNQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1698581370; x=1699186170;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=epxcyq+a2vZAIa/kgnHSNwEKhQ3L54LPFvuwvoKPxC8=;
 b=o4VcJ9wcR1KPmLwsc1WJZqJJxIS+RChwpaf3yrHmE3C1dYf/jsUdRrvxCD/n4oun7t
 apFEacTxlN0dFLx0Ce8bhlY2fuUniWTqJCOvTTQFY7mco+m344cXhjlkkCZm/625Zxzk
 0NTI0ndymG4XTq6yIrR4WRcprekAiwonEDrt6JC/lWxgrV/StQwbkl5GWMPWaVZDeJBh
 VCIoOszp4iy3IROrkfgbdGY7o8Q50eB4UvBcn/xKTgatOcQf4UQpRw9xyvPOORC6hgY2
 qmRvIJip4mflQmOD6eJDzosgy+5qeKuEzcHSFueHVdIdXuTxfl98tdSNbm/6Xk8Gbn1t
 OZsw==
X-Gm-Message-State: AOJu0YziN3FUDt5p6w4g35RR8XKT/05w2sXlbmRl64vRD4Vhk/o8v2Og
 iM/C9RRYkatep5OnOgkJUjBHwaLt4ScLDgLyJ59UpotYYA==
X-Google-Smtp-Source: AGHT+IEmkChv2aYonxg7Hn/9ABxeAz7GUmK5NQEu/h59H+LmJn78cmnY4Mu1yzKmPduISxmjD08a41p8O+z/pmIx6ik=
X-Received: by 2002:a05:6a21:3e0a:b0:17b:f565:7e09 with SMTP id
 bk10-20020a056a213e0a00b0017bf5657e09mr5390208pzc.60.1698581369977; Sun, 29
 Oct 2023 05:09:29 -0700 (PDT)
MIME-Version: 1.0
From: Apoorv <apoorvs569@HIDDEN>
Date: Sun, 29 Oct 2023 17:39:17 +0530
Message-ID: <CAEuo0jhBm_h_r05=a6LmzFKZ+_EWP5DTS0L+wnfMDqFS7a-GGQ@HIDDEN>
Subject: ansible-core package fails to build
To: bug-guix@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000002e021f0608d9cbc8"
Received-SPF: pass client-ip=2607:f8b0:4864:20::52a;
 envelope-from=apoorvs569@HIDDEN; helo=mail-pg1-x52a.google.com
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, HTML_MESSAGE=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  ansible-core package fails to build, here are the logs, [gw2]
 [ 95%] PASSED
 test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_urlerror
 test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_socketerror
 [gw7] [ 95%] FAILED test/units/mo [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: test_fetch_url.py]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (apoorvs569[at]gmail.com)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (apoorvs569[at]gmail.com)
 0.0 HTML_MESSAGE           BODY: HTML included in message
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 29 Oct 2023 10:18:05 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--0000000000002e021f0608d9cbc8
Content-Type: text/plain; charset="UTF-8"

ansible-core package fails to build, here are the logs,

[gw2] [ 95%] PASSED
test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_urlerror
test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_socketerror
[gw7] [ 95%] FAILED
test/units/module_utils/urls/test_channel_binding.py::test_cbt_with_cert[rsa-pss_sha512.pem-\x85\x85\x19\xb9\xe1\x0f#\xe2\x1d,\xe9\xd5G*\xab\xceB\x0f\xd1\x00u\x9cS\xa1{\xb9y\x86\xb2Ya']

test/units/module_utils/urls/test_fetch_url.py::test_fetch_url
[gw3] [ 95%] PASSED
test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_nossl
[gw1] [ 95%] PASSED
test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_httperror
test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_exception
test/units/module_utils/urls/test_generic_urlparse.py::test_generic_urlparse

[gw2] [ 95%] PASSED
test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_socketerror
test/units/module_utils/urls/test_generic_urlparse.py::test_generic_urlparse_no_netloc

[gw1] [ 95%] PASSED
test/units/module_utils/urls/test_generic_urlparse.py::test_generic_urlparse

test/units/module_utils/urls/test_generic_urlparse.py::test_generic_urlparse_netloc

[gw7] [ 95%] PASSED
test/units/module_utils/urls/test_fetch_url.py::test_fetch_url
[gw3] [ 95%] PASSED
test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_exception
test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_badstatusline

test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_params
[gw2] [ 95%] PASSED
test/units/module_utils/urls/test_generic_urlparse.py::test_generic_urlparse_no_netloc

[gw1] [ 95%] PASSED
test/units/module_utils/urls/test_generic_urlparse.py::test_generic_urlparse_netloc

test/units/module_utils/urls/test_generic_urlparse.py::test_generic_urlparse_no_netloc_no_auth

test/units/module_utils/urls/test_generic_urlparse.py::test_generic_urlparse_no_netloc_no_host

[gw3] [ 95%] PASSED
test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_badstatusline

[gw7] [ 96%] PASSED
test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_params
test/units/module_utils/urls/test_gzip.py::test_Request_open_not_gzip
test/units/module_utils/urls/test_gzip.py::test_Request_open_gzip
[gw2] [ 96%] PASSED
test/units/module_utils/urls/test_generic_urlparse.py::test_generic_urlparse_no_netloc_no_auth

test/units/module_utils/urls/test_gzip.py::test_Request_open_decompress_false

[gw1] [ 96%] PASSED
test/units/module_utils/urls/test_generic_urlparse.py::test_generic_urlparse_no_netloc_no_host

test/units/module_utils/urls/test_gzip.py::test_GzipDecodedReader_no_gzip
[gw3] [ 96%] PASSED
test/units/module_utils/urls/test_gzip.py::test_Request_open_not_gzip
[gw7] [ 96%] PASSED
test/units/module_utils/urls/test_gzip.py::test_Request_open_gzip
test/units/module_utils/urls/test_prepare_multipart.py::test_prepare_multipart

[gw2] [ 96%] PASSED
test/units/module_utils/urls/test_gzip.py::test_Request_open_decompress_false

test/units/module_utils/urls/test_prepare_multipart.py::test_wrong_type
test/units/module_utils/urls/test_prepare_multipart.py::test_empty
[gw1] [ 96%] PASSED
test/units/module_utils/urls/test_gzip.py::test_GzipDecodedReader_no_gzip
test/units/module_utils/urls/test_prepare_multipart.py::test_unknown_mime
[gw7] [ 96%] PASSED
test/units/module_utils/urls/test_prepare_multipart.py::test_wrong_type
test/units/module_utils/urls/test_split.py::test__split_multiext[-expected0]

[gw2] [ 96%] PASSED
test/units/module_utils/urls/test_prepare_multipart.py::test_empty
test/units/module_utils/urls/test_split.py::test__split_multiext[a-expected1]

[gw1] [ 96%] PASSED
test/units/module_utils/urls/test_prepare_multipart.py::test_unknown_mime
[gw3] [ 96%] PASSED
test/units/module_utils/urls/test_prepare_multipart.py::test_prepare_multipart

test/units/module_utils/urls/test_prepare_multipart.py::test_bad_mime
test/units/module_utils/urls/test_split.py::test__split_multiext[file.tar-expected2]

[gw7] [ 96%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[-expected0]

test/units/module_utils/urls/test_split.py::test__split_multiext[file.tar.-expected3]

[gw2] [ 96%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[a-expected1]

test/units/module_utils/urls/test_split.py::test__split_multiext[file.hidden-expected4]

[gw1] [ 96%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[file.tar-expected2]

[gw7] [ 96%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[file.tar.-expected3]

test/units/module_utils/urls/test_split.py::test__split_multiext[file.tar.gz-expected5]

test/units/module_utils/urls/test_split.py::test__split_multiext[yaml-0.2.5.zip-expected7]

[gw2] [ 96%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[file.hidden-expected4]

[gw3] [ 96%] PASSED
test/units/module_utils/urls/test_prepare_multipart.py::test_bad_mime
test/units/module_utils/urls/test_split.py::test__split_multiext[yaml-0.2.5.zip.hidden-expected8]

test/units/module_utils/urls/test_split.py::test__split_multiext[yaml-0.2.5.tar.gz-expected6]

[gw7] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[yaml-0.2.5.zip-expected7]

[gw1] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[file.tar.gz-expected5]

test/units/module_utils/urls/test_split.py::test__split_multiext[geckodriver-v0.26.0-linux64.tar-expected9]

test/units/module_utils/urls/test_split.py::test__split_multiext[/var/lib/geckodriver-v0.26.0-linux64.tar-expected10]

[gw2] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[yaml-0.2.5.zip.hidden-expected8]

[gw3] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[yaml-0.2.5.tar.gz-expected6]

test/units/module_utils/urls/test_split.py::test__split_multiext[
https://acme.com/drivers/geckodriver-v0.26.0-linux64.tar-expected11]
test/units/module_utils/urls/test_split.py::test__split_multiext[
https://acme.com/drivers/geckodriver-v0.26.0-linux64.tar.bz-expected12]
[gw1] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[geckodriver-v0.26.0-linux64.tar-expected9]

[gw7] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[/var/lib/geckodriver-v0.26.0-linux64.tar-expected10]

test/units/module_utils/urls/test_split.py::test__split_multiext_min_max[args1-expected1]

test/units/module_utils/urls/test_split.py::test__split_multiext_min_max[args0-expected0]

[gw3] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[
https://acme.com/drivers/geckodriver-v0.26.0-linux64.tar.bz-expected12]
[gw2] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext[
https://acme.com/drivers/geckodriver-v0.26.0-linux64.tar-expected11]
test/units/module_utils/urls/test_split.py::test__split_multiext_min_max[args3-expected3]

test/units/module_utils/urls/test_split.py::test__split_multiext_min_max[args2-expected2]

[gw1] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_min_max[args0-expected0]

[gw7] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_min_max[args1-expected1]

test/units/module_utils/urls/test_split.py::test__split_multiext_min_max[args5-expected5]

test/units/module_utils/urls/test_split.py::test__split_multiext_min_max[args4-expected4]

[gw3] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_min_max[args3-expected3]

[gw2] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_min_max[args2-expected2]

test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwargs0-expected0]

test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwargs1-expected1]

[gw5] [ 97%] PASSED
test/units/module_utils/facts/test_timeout.py::test_implicit_file_default_succeeds

test/units/module_utils/facts/test_timeout.py::test_implicit_file_default_timesout

[gw1] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_min_max[args5-expected5]

[gw7] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_min_max[args4-expected4]

test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwargs3-expected3]

test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwargs2-expected2]

[gw3] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwargs0-expected0]

[gw2] [ 97%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwargs1-expected1]

test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwargs4-expected4]

test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwargs5-expected5]

[gw7] [ 98%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwargs2-expected2]

[gw1] [ 98%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwargs3-expected3]

test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[name1]

[gw2] [ 98%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwargs5-expected5]

[gw3] [ 98%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwargs4-expected4]

test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[name0]

test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[name3]

test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[name2]

[gw1] [ 98%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[name0]

[gw7] [ 98%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[name1]

test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[247]

[gw2] [ 98%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[name3]

test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[1.729879]

[gw3] [ 98%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[name2]

test/units/module_utils/urls/test_urls.py::test_build_ssl_validation_error
test/units/module_utils/urls/test_urls.py::test_maybe_add_ssl_handler
[gw7] [ 98%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[1.729879]

[gw1] [ 98%] PASSED
test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[247]

test/units/module_utils/urls/test_urls.py::test_ParseResultDottedDict
test/units/module_utils/urls/test_urls.py::test_basic_auth_header
[gw2] [ 98%] PASSED
test/units/module_utils/urls/test_urls.py::test_build_ssl_validation_error
[gw3] [ 98%] PASSED
test/units/module_utils/urls/test_urls.py::test_maybe_add_ssl_handler
test/units/module_utils/urls/test_urls.py::test_unix_socket_patch_httpconnection_connect

[gw4] [ 98%] PASSED
test/units/module_utils/test_api.py::TestRateLimit::test_ratelimit
test/units/module_utils/urls/test_RedirectHandlerFactory.py::test_redir_headers_removal

[gw1] [ 98%] PASSED
test/units/module_utils/urls/test_urls.py::test_basic_auth_header
[gw7] [ 98%] PASSED
test/units/module_utils/urls/test_urls.py::test_ParseResultDottedDict
[gw2] [ 98%] PASSED
test/units/module_utils/urls/test_urls.py::test_unix_socket_patch_httpconnection_connect

[gw4] [ 98%] PASSED
test/units/module_utils/urls/test_RedirectHandlerFactory.py::test_redir_headers_removal

test/units/module_utils/urls/test_RedirectHandlerFactory.py::test_redir_url_spaces

[gw6] [ 99%] PASSED
test/units/module_utils/test_api.py::TestRetryWithDelaysAndCondition::test_retry_exception

test/units/module_utils/test_connection.py::test_set_options_credential_exposure

[gw4] [ 99%] PASSED
test/units/module_utils/urls/test_RedirectHandlerFactory.py::test_redir_url_spaces

test/units/module_utils/urls/test_RedirectHandlerFactory.py::test_redir_safe

[gw6] [ 99%] PASSED
test/units/module_utils/test_connection.py::test_set_options_credential_exposure

test/units/module_utils/test_distro.py::TestDistro::test_info
[gw4] [ 99%] PASSED
test/units/module_utils/urls/test_RedirectHandlerFactory.py::test_redir_safe

test/units/module_utils/urls/test_RedirectHandlerFactory.py::test_redir_safe_not_safe

[gw6] [ 99%] PASSED
test/units/module_utils/test_distro.py::TestDistro::test_info
test/units/module_utils/test_distro.py::TestDistro::test_id
[gw4] [ 99%] PASSED
test/units/module_utils/urls/test_RedirectHandlerFactory.py::test_redir_safe_not_safe

test/units/module_utils/urls/test_RedirectHandlerFactory.py::test_redir_no_error_on_invalid

[gw6] [ 99%] PASSED
test/units/module_utils/test_distro.py::TestDistro::test_id
[gw4] [ 99%] PASSED
test/units/module_utils/urls/test_RedirectHandlerFactory.py::test_redir_no_error_on_invalid

[gw0] [ 99%] PASSED
test/units/module_utils/facts/test_timeout.py::test_explicit_timeout
test/units/module_utils/facts/test_timeout.py::test_timeout_raises_timeout
[gw5] [ 99%] PASSED
test/units/module_utils/facts/test_timeout.py::test_implicit_file_default_timesout

test/units/module_utils/facts/test_timeout.py::test_implicit_file_overridden_succeeds

[gw0] [ 99%] PASSED
test/units/module_utils/facts/test_timeout.py::test_timeout_raises_timeout
test/units/module_utils/facts/test_timeout.py::test_timeout_raises_timeout_integration_test[stdin0]

[gw0] [ 99%] PASSED
test/units/module_utils/facts/test_timeout.py::test_timeout_raises_timeout_integration_test[stdin0]

test/units/module_utils/facts/test_timeout.py::test_timeout_raises_other_exception

[gw0] [ 99%] PASSED
test/units/module_utils/facts/test_timeout.py::test_timeout_raises_other_exception

test/units/module_utils/facts/test_timeout.py::test_exception_not_caught_by_called_code

[gw5] [ 99%] PASSED
test/units/module_utils/facts/test_timeout.py::test_implicit_file_overridden_succeeds

test/units/module_utils/facts/test_timeout.py::test_implicit_file_overridden_timesout

[gw0] [ 99%] PASSED
test/units/module_utils/facts/test_timeout.py::test_exception_not_caught_by_called_code

test/units/module_utils/facts/test_utils.py::TestGetMountSize::test
[gw0] [ 99%] PASSED
test/units/module_utils/facts/test_utils.py::TestGetMountSize::test
[gw5] [ 99%] PASSED
test/units/module_utils/facts/test_timeout.py::test_implicit_file_overridden_timesout

test/units/module_utils/facts/test_timeout.py::test_explicit_succeeds
[gw5] [100%] PASSED
test/units/module_utils/facts/test_timeout.py::test_explicit_succeeds

=================================== FAILURES
===================================
_
test_cbt_with_cert[rsa-pss_sha512.pem-\x85\x85\x19\xb9\xe1\x0f#\xe2\x1d,\xe9\xd5G*\xab\xceB\x0f\xd1\x00u\x9cS\xa1{\xb9y\x86\xb2Ya']
_
[gw7] linux -- Python 3.10.7
/gnu/store/l6fpy0i9hlll9b6k8vy2i2a4cshwz3cv-python-wrapper-3.10.7/bin/python
certificate = 'rsa-pss_sha512.pem'
expected =
b"\x85\x85\x19\xb9\xe1\x0f#\xe2\x1d,\xe9\xd5G*\xab\xceB\x0f\xd1\x00u\x9cS\xa1{\xb9y\x86\xb2Ya'"

    @pytest.mark.skipif(not urls.HAS_CRYPTOGRAPHY, reason='Requires
cryptography to be installed')
    @pytest.mark.parametrize('certificate, expected', [
        ('rsa_md5.pem', b'\x23\x34\xB8\x47\x6C\xBF\x4E\x6D'
                        b'\xFC\x76\x6A\x5D\x5A\x30\xD6\x64'
                        b'\x9C\x01\xBA\xE1\x66\x2A\x5C\x3A'
                        b'\x13\x02\xA9\x68\xD7\xC6\xB0\xF6'),
        ('rsa_sha1.pem', b'\x14\xCF\xE8\xE4\xB3\x32\xB2\x0A'
                         b'\x34\x3F\xC8\x40\xB1\x8F\x9F\x6F'
                         b'\x78\x92\x6A\xFE\x7E\xC3\xE7\xB8'
                         b'\xE2\x89\x69\x61\x9B\x1E\x8F\x3E'),
        ('rsa_sha256.pem', b'\x99\x6F\x3E\xEA\x81\x2C\x18\x70'
                           b'\xE3\x05\x49\xFF\x9B\x86\xCD\x87'
                           b'\xA8\x90\xB6\xD8\xDF\xDF\x4A\x81'
                           b'\xBE\xF9\x67\x59\x70\xDA\xDB\x26'),
        ('rsa_sha384.pem', b'\x34\xF3\x03\xC9\x95\x28\x6F\x4B'
                           b'\x21\x4A\x9B\xA6\x43\x5B\x69\xB5'
                           b'\x1E\xCF\x37\x58\xEA\xBC\x2A\x14'
                           b'\xD7\xA4\x3F\xD2\x37\xDC\x2B\x1A'
                           b'\x1A\xD9\x11\x1C\x5C\x96\x5E\x10'
                           b'\x75\x07\xCB\x41\x98\xC0\x9F\xEC'),
        ('rsa_sha512.pem', b'\x55\x6E\x1C\x17\x84\xE3\xB9\x57'
                           b'\x37\x0B\x7F\x54\x4F\x62\xC5\x33'
                           b'\xCB\x2C\xA5\xC1\xDA\xE0\x70\x6F'
                           b'\xAE\xF0\x05\x44\xE1\xAD\x2B\x76'
                           b'\xFF\x25\xCF\xBE\x69\xB1\xC4\xE6'
                           b'\x30\xC3\xBB\x02\x07\xDF\x11\x31'
                           b'\x4C\x67\x38\xBC\xAE\xD7\xE0\x71'
                           b'\xD7\xBF\xBF\x2C\x9D\xFA\xB8\x5D'),
        ('rsa-pss_sha256.pem', b'\xF2\x31\xE6\xFF\x3F\x9E\x16\x1B'
                               b'\xC2\xDC\xBB\x89\x8D\x84\x47\x4E'
                               b'\x58\x9C\xD7\xC2\x7A\xDB\xEF\x8B'
                               b'\xD9\xC0\xC0\x68\xAF\x9C\x36\x6D'),
        ('rsa-pss_sha512.pem', b'\x85\x85\x19\xB9\xE1\x0F\x23\xE2'
                               b'\x1D\x2C\xE9\xD5\x47\x2A\xAB\xCE'
                               b'\x42\x0F\xD1\x00\x75\x9C\x53\xA1'
                               b'\x7B\xB9\x79\x86\xB2\x59\x61\x27'),
        ('ecdsa_sha256.pem', b'\xFE\xCF\x1B\x25\x85\x44\x99\x90'
                             b'\xD9\xE3\xB2\xC9\x2D\x3F\x59\x7E'
                             b'\xC8\x35\x4E\x12\x4E\xDA\x75\x1D'
                             b'\x94\x83\x7C\x2C\x89\xA2\xC1\x55'),
        ('ecdsa_sha512.pem', b'\xE5\xCB\x68\xB2\xF8\x43\xD6\x3B'
                             b'\xF4\x0B\xCB\x20\x07\x60\x8F\x81'
                             b'\x97\x61\x83\x92\x78\x3F\x23\x30'
                             b'\xE5\xEF\x19\xA5\xBD\x8F\x0B\x2F'
                             b'\xAA\xC8\x61\x85\x5F\xBB\x63\xA2'
                             b'\x21\xCC\x46\xFC\x1E\x22\x6A\x07'
                             b'\x24\x11\xAF\x17\x5D\xDE\x47\x92'
                             b'\x81\xE0\x06\x87\x8B\x34\x80\x59'),
    ])
    def test_cbt_with_cert(certificate, expected):
        with open(os.path.join(os.path.dirname(__file__), 'fixtures',
'cbt', certificate)) as fd:
            cert_der = base64.b64decode("".join([l.strip() for l in
fd.readlines()[1:-1]]))

        actual = urls.get_channel_binding_cert_hash(cert_der)
>       assert actual == expected
E       assert b"K\x8c\xa5\x...x7fc\x83\xd7b" ==
b"\x85\x85\x1...9y\x86\xb2Ya'"
E         At index 0 diff: b'K' != b'\x85'
E         Full diff:
E           (
E         -
 b'\x85\x85\x19\xb9\xe1\x0f#\xe2\x1d,\xe9\xd5G*\xab\xceB\x0f\xd1\x00u\x9cS\xa1'
E         -  b"{\xb9y\x86\xb2Ya'",
E         +
 b"K\x8c\xa5\xf5y\x89A\xa0\xaf'\xeb\x00\xeb\xccUz6z\xe0l\x035\xa3h\xfc\xa6
k"
E         +
 b'\xda]\xba\x88\xf8m\xf3\x98\xd2\xd2wW\x87w\xa4\x0e\x14\t\xd4]\xb9\xa29\xe2'...
E
E         ...Full output truncated (3 lines hidden), use '-vv' to show

test/units/module_utils/urls/test_channel_binding.py:69: AssertionError
- generated xml file:
/tmp/guix-build-ansible-core-2.14.4.drv-0/ansible-core-2.14.4/test/results/junit/python3.10-module_utils-units.xml
-
============================= slowest 25 durations
=============================
3.01s call
test/units/module_utils/facts/test_timeout.py::test_implicit_file_overridden_succeeds
2.03s call
test/units/module_utils/facts/test_timeout.py::test_explicit_timeout
2.01s call
test/units/module_utils/facts/test_timeout.py::test_implicit_file_overridden_timesout
2.01s call
test/units/module_utils/facts/test_timeout.py::test_explicit_succeeds
1.02s call
test/units/module_utils/facts/test_timeout.py::test_implicit_file_default_timesout
1.01s call
test/units/module_utils/facts/test_timeout.py::test_implicit_file_default_succeeds
1.01s call
test/units/module_utils/facts/test_timeout.py::test_timeout_raises_timeout_integration_test[stdin0]
1.01s call
test/units/module_utils/facts/test_timeout.py::test_timeout_raises_timeout
1.01s call
test/units/module_utils/facts/test_timeout.py::test_exception_not_caught_by_called_code
1.00s call
test/units/module_utils/test_api.py::TestRetryWithDelaysAndCondition::test_retry_exception
0.99s call
test/units/module_utils/test_api.py::TestRateLimit::test_ratelimit
0.27s call
test/units/module_utils/facts/hardware/test_linux.py::TestFactsLinuxHardwareGetMountFacts::test_get_mount_facts
0.24s call
test/units/module_utils/facts/test_facts.py::TestFactsLinuxHardwareGetMountFacts::test_get_mount_facts
0.20s call
test/units/module_utils/basic/test_no_log.py::TestRemoveValues::test_hit_recursion_limit
0.10s setup
 test/units/module_utils/basic/test_atomic_move.py::test_new_file[stdin0-True]
0.09s setup
 test/units/module_utils/basic/test_atomic_move.py::test_no_tty_fallback[stdin0]
0.09s setup
 test/units/module_utils/basic/test_atomic_move.py::test_existing_file_stat_failure[stdin0]
0.09s setup
 test/units/module_utils/basic/test_atomic_move.py::test_rename_perms_fail_temp_succeeds[stdin0-True]
0.08s setup
 test/units/module_utils/basic/test_atomic_move.py::test_rename_perms_fail_temp_succeeds[stdin1-False]
0.08s call
test/units/module_utils/facts/hardware/test_linux_get_cpu_info.py::test_get_cpu_info_nproc
0.08s call
test/units/module_utils/facts/test_ansible_collector.py::TestInPlace::test1
0.07s setup
 test/units/module_utils/basic/test_atomic_move.py::test_existing_file[stdin0-True]
0.07s setup
 test/units/module_utils/basic/test_atomic_move.py::test_existing_file[stdin1-False]
0.07s setup
 test/units/module_utils/facts/system/distribution/test_distribution_version.py::test_distribution_version[stdin14-Core
OS]
0.07s setup
 test/units/module_utils/facts/system/distribution/test_distribution_version.py::test_distribution_version[stdin61-Solaris
10]
=========================== short test summary info
============================
SKIPPED [5] test/units/module_utils/basic/test_log.py:38: python systemd
bindings not installed
SKIPPED [1] test/units/module_utils/basic/test_imports.py:84: literal_eval
is available in every version of Python3
SKIPPED [2] test/units/module_utils/basic/test_log.py:113: python systemd
bindings not installed
SKIPPED [5] test/units/module_utils/basic/test_log.py:130: python systemd
bindings not installed
SKIPPED [1] test/units/module_utils/basic/test_log.py:139: python systemd
bindings not installed
SKIPPED [3] test/units/module_utils/facts/test_facts.py:64: This test class
needs to be updated to specify collector_class
SKIPPED [1] test/units/module_utils/facts/test_collectors.py:370: faulty
test
SKIPPED [1] test/units/module_utils/facts/test_collectors.py:396: faulty
test
SKIPPED [1] test/units/module_utils/facts/test_facts.py:46: This platform
(DragonFly) does not have a fact_class.
SKIPPED [1] test/units/module_utils/facts/test_facts.py:54: This platform
(DragonFly) does not have a fact_class.
FAILED
test/units/module_utils/urls/test_channel_binding.py::test_cbt_with_cert[rsa-pss_sha512.pem-\x85\x85\x19\xb9\xe1\x0f#\xe2\x1d,\xe9\xd5G*\xab\xceB\x0f\xd1\x00u\x9cS\xa1{\xb9y\x86\xb2Ya']
================= 1 failed, 1681 passed, 21 skipped in 22.34s
==================
FATAL: Command "pytest --forked -r a -n 8 --color no -p no:cacheprovider -c
/gnu/store/rvraps20lp1gix4r98n96q2hydd4vnjk-ansible-core-2.14.4/lib/python3.10/site-packages/ansible_test/_data/pytest/config/default.ini
--junit-xml
/tmp/guix-build-ansible-core-2.14.4.drv-0/ansible-core-2.14.4/test/results/junit/python3.10-module_utils-units.xml
--strict-markers --rootdir
/tmp/guix-build-ansible-core-2.14.4.drv-0/ansible-core-2.14.4
--durations=25 -v test/units/module_utils/basic/test__log_invocation.py
test/units/module_utils/basic/test__symbolic_mode_to_octal.py
test/units/module_utils/basic/test_argument_spec.py
test/units/module_utils/basic/test_atomic_move.py
test/units/module_utils/basic/test_deprecate_warn.py
test/units/module_utils/basic/test_dict_converters.py
test/units/module_utils/basic/test_exit_json.py
test/units/module_utils/basic/test_filesystem.py
test/units/module_utils/basic/test_get_file_attributes.py
test/units/module_utils/basic/test_get_module_path.py
test/units/module_utils/basic/test_heuristic_log_sanitize.py
test/units/module_utils/basic/test_imports.py
test/units/module_utils/basic/test_log.py
test/units/module_utils/basic/test_no_log.py
test/units/module_utils/basic/test_platform_distribution.py
test/units/module_utils/basic/test_run_command.py
test/units/module_utils/basic/test_safe_eval.py
test/units/module_utils/basic/test_sanitize_keys.py
test/units/module_utils/basic/test_selinux.py
test/units/module_utils/basic/test_set_cwd.py
test/units/module_utils/basic/test_set_mode_if_different.py
test/units/module_utils/common/arg_spec/test_aliases.py
test/units/module_utils/common/arg_spec/test_module_validate.py
test/units/module_utils/common/arg_spec/test_sub_spec.py
test/units/module_utils/common/arg_spec/test_validate_invalid.py
test/units/module_utils/common/arg_spec/test_validate_valid.py
test/units/module_utils/common/parameters/test_check_arguments.py
test/units/module_utils/common/parameters/test_handle_aliases.py
test/units/module_utils/common/parameters/test_list_deprecations.py
test/units/module_utils/common/parameters/test_list_no_log_values.py
test/units/module_utils/common/process/test_get_bin_path.py
test/units/module_utils/common/test_collections.py
test/units/module_utils/common/test_dict_transformations.py
test/units/module_utils/common/test_locale.py
test/units/module_utils/common/test_network.py
test/units/module_utils/common/test_sys_info.py
test/units/module_utils/common/test_utils.py
test/units/module_utils/common/text/converters/test_container_to_bytes.py
test/units/module_utils/common/text/converters/test_container_to_text.py
test/units/module_utils/common/text/converters/test_json_encode_fallback.py
test/units/module_utils/common/text/converters/test_jsonify.py
test/units/module_utils/common/text/converters/test_to_str.py
test/units/module_utils/common/text/formatters/test_bytes_to_human.py
test/units/module_utils/common/text/formatters/test_human_to_bytes.py
test/units/module_utils/common/text/formatters/test_lenient_lowercase.py
test/units/module_utils/common/validation/test_check_missing_parameters.py
test/units/module_utils/common/validation/test_check_mutually_exclusive.py
test/units/module_utils/common/validation/test_check_required_arguments.py
test/units/module_utils/common/validation/test_check_required_by.py
test/units/module_utils/common/validation/test_check_required_if.py
test/units/module_utils/common/validation/test_check_required_one_of.py
test/units/module_utils/common/validation/test_check_required_together.py
test/units/module_utils/common/validation/test_check_type_bits.py
test/units/module_utils/common/validation/test_check_type_bool.py
test/units/module_utils/common/validation/test_check_type_bytes.py
test/units/module_utils/common/validation/test_check_type_dict.py
test/units/module_utils/common/validation/test_check_type_float.py
test/units/module_utils/common/validation/test_check_type_int.py
test/units/module_utils/common/validation/test_check_type_jsonarg.py
test/units/module_utils/common/validation/test_check_type_list.py
test/units/module_utils/common/validation/test_check_type_path.py
test/units/module_utils/common/validation/test_check_type_raw.py
test/units/module_utils/common/validation/test_check_type_str.py
test/units/module_utils/common/validation/test_count_terms.py
test/units/module_utils/common/warnings/test_deprecate.py
test/units/module_utils/common/warnings/test_warn.py
test/units/module_utils/facts/hardware/test_aix_processor.py
test/units/module_utils/facts/hardware/test_linux.py
test/units/module_utils/facts/hardware/test_linux_get_cpu_info.py
test/units/module_utils/facts/hardware/test_sunos_get_uptime_facts.py
test/units/module_utils/facts/network/test_fc_wwn.py
test/units/module_utils/facts/network/test_generic_bsd.py
test/units/module_utils/facts/network/test_iscsi_get_initiator.py
test/units/module_utils/facts/other/test_facter.py
test/units/module_utils/facts/other/test_ohai.py
test/units/module_utils/facts/system/distribution/test_distribution_sles4sap.py
test/units/module_utils/facts/system/distribution/test_distribution_version.py
test/units/module_utils/facts/system/distribution/test_parse_distribution_file_ClearLinux.py
test/units/module_utils/facts/system/distribution/test_parse_distribution_file_Slackware.py
test/units/module_utils/facts/system/test_cmdline.py
test/units/module_utils/facts/system/test_lsb.py
test/units/module_utils/facts/system/test_user.py
test/units/module_utils/facts/test_ansible_collector.py
test/units/module_utils/facts/test_collector.py
test/units/module_utils/facts/test_collectors.py
test/units/module_utils/facts/test_date_time.py
test/units/module_utils/facts/test_facts.py
test/units/module_utils/facts/test_sysctl.py
test/units/module_utils/facts/test_timeout.py
test/units/module_utils/facts/test_utils.py
test/units/module_utils/facts/virtual/test_linux.py
test/units/module_utils/json_utils/test_filter_non_json_lines.py
test/units/module_utils/parsing/test_convert_bool.py
test/units/module_utils/test_api.py
test/units/module_utils/test_connection.py
test/units/module_utils/test_distro.py
test/units/module_utils/urls/test_RedirectHandlerFactory.py
test/units/module_utils/urls/test_Request.py
test/units/module_utils/urls/test_RequestWithMethod.py
test/units/module_utils/urls/test_channel_binding.py
test/units/module_utils/urls/test_fetch_file.py
test/units/module_utils/urls/test_fetch_url.py
test/units/module_utils/urls/test_generic_urlparse.py
test/units/module_utils/urls/test_gzip.py
test/units/module_utils/urls/test_prepare_multipart.py
test/units/module_utils/urls/test_split.py
test/units/module_utils/urls/test_urls.py" returned exit status 1.
error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "ansible-test" arguments: ("units" "-v"
"--num-workers" "8") exit-status: 1 term-signal: #f stop-signal: #f>
phase `check' failed after 27.4 seconds
command "ansible-test" "units" "-v" "--num-workers" "8" failed with status 1

--0000000000002e021f0608d9cbc8
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>ansible-core package fails to build, here are the log=
s,</div><div><br></div><div><span style=3D"font-family:monospace">[gw2] [ 9=
5%] PASSED test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_u=
rlerror <br>test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_=
socketerror <br>[gw7] [ 95%] FAILED test/units/module_utils/urls/test_chann=
el_binding.py::test_cbt_with_cert[rsa-pss_sha512.pem-\x85\x85\x19\xb9\xe1\x=
0f#\xe2\x1d,\xe9\xd5G*\xab\xceB\x0f\xd1\x00u\x9cS\xa1{\xb9y\x86\xb2Ya&#39;]=
 <br>test/units/module_utils/urls/test_fetch_url.py::test_fetch_url <br>[gw=
3] [ 95%] PASSED test/units/module_utils/urls/test_fetch_url.py::test_fetch=
_url_nossl <br>[gw1] [ 95%] PASSED test/units/module_utils/urls/test_fetch_=
url.py::test_fetch_url_httperror <br>test/units/module_utils/urls/test_fetc=
h_url.py::test_fetch_url_exception <br>test/units/module_utils/urls/test_ge=
neric_urlparse.py::test_generic_urlparse <br>[gw2] [ 95%] PASSED test/units=
/module_utils/urls/test_fetch_url.py::test_fetch_url_socketerror <br>test/u=
nits/module_utils/urls/test_generic_urlparse.py::test_generic_urlparse_no_n=
etloc <br>[gw1] [ 95%] PASSED test/units/module_utils/urls/test_generic_url=
parse.py::test_generic_urlparse <br>test/units/module_utils/urls/test_gener=
ic_urlparse.py::test_generic_urlparse_netloc <br>[gw7] [ 95%] PASSED test/u=
nits/module_utils/urls/test_fetch_url.py::test_fetch_url <br>[gw3] [ 95%] P=
ASSED test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_except=
ion <br>test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_bads=
tatusline <br>test/units/module_utils/urls/test_fetch_url.py::test_fetch_ur=
l_params <br>[gw2] [ 95%] PASSED test/units/module_utils/urls/test_generic_=
urlparse.py::test_generic_urlparse_no_netloc <br>[gw1] [ 95%] PASSED test/u=
nits/module_utils/urls/test_generic_urlparse.py::test_generic_urlparse_netl=
oc <br>test/units/module_utils/urls/test_generic_urlparse.py::test_generic_=
urlparse_no_netloc_no_auth <br>test/units/module_utils/urls/test_generic_ur=
lparse.py::test_generic_urlparse_no_netloc_no_host <br>[gw3] [ 95%] PASSED =
test/units/module_utils/urls/test_fetch_url.py::test_fetch_url_badstatuslin=
e <br>[gw7] [ 96%] PASSED test/units/module_utils/urls/test_fetch_url.py::t=
est_fetch_url_params <br>test/units/module_utils/urls/test_gzip.py::test_Re=
quest_open_not_gzip <br>test/units/module_utils/urls/test_gzip.py::test_Req=
uest_open_gzip <br>[gw2] [ 96%] PASSED test/units/module_utils/urls/test_ge=
neric_urlparse.py::test_generic_urlparse_no_netloc_no_auth <br>test/units/m=
odule_utils/urls/test_gzip.py::test_Request_open_decompress_false <br>[gw1]=
 [ 96%] PASSED test/units/module_utils/urls/test_generic_urlparse.py::test_=
generic_urlparse_no_netloc_no_host <br>test/units/module_utils/urls/test_gz=
ip.py::test_GzipDecodedReader_no_gzip <br>[gw3] [ 96%] PASSED test/units/mo=
dule_utils/urls/test_gzip.py::test_Request_open_not_gzip <br>[gw7] [ 96%] P=
ASSED test/units/module_utils/urls/test_gzip.py::test_Request_open_gzip <br=
>test/units/module_utils/urls/test_prepare_multipart.py::test_prepare_multi=
part <br>[gw2] [ 96%] PASSED test/units/module_utils/urls/test_gzip.py::tes=
t_Request_open_decompress_false <br>test/units/module_utils/urls/test_prepa=
re_multipart.py::test_wrong_type <br>test/units/module_utils/urls/test_prep=
are_multipart.py::test_empty <br>[gw1] [ 96%] PASSED test/units/module_util=
s/urls/test_gzip.py::test_GzipDecodedReader_no_gzip <br>test/units/module_u=
tils/urls/test_prepare_multipart.py::test_unknown_mime <br>[gw7] [ 96%] PAS=
SED test/units/module_utils/urls/test_prepare_multipart.py::test_wrong_type=
 <br>test/units/module_utils/urls/test_split.py::test__split_multiext[-expe=
cted0] <br>[gw2] [ 96%] PASSED test/units/module_utils/urls/test_prepare_mu=
ltipart.py::test_empty <br>test/units/module_utils/urls/test_split.py::test=
__split_multiext[a-expected1] <br>[gw1] [ 96%] PASSED test/units/module_uti=
ls/urls/test_prepare_multipart.py::test_unknown_mime <br>[gw3] [ 96%] PASSE=
D test/units/module_utils/urls/test_prepare_multipart.py::test_prepare_mult=
ipart <br>test/units/module_utils/urls/test_prepare_multipart.py::test_bad_=
mime <br>test/units/module_utils/urls/test_split.py::test__split_multiext[f=
ile.tar-expected2] <br>[gw7] [ 96%] PASSED test/units/module_utils/urls/tes=
t_split.py::test__split_multiext[-expected0] <br>test/units/module_utils/ur=
ls/test_split.py::test__split_multiext[file.tar.-expected3] <br>[gw2] [ 96%=
] PASSED test/units/module_utils/urls/test_split.py::test__split_multiext[a=
-expected1] <br>test/units/module_utils/urls/test_split.py::test__split_mul=
tiext[file.hidden-expected4] <br>[gw1] [ 96%] PASSED test/units/module_util=
s/urls/test_split.py::test__split_multiext[file.tar-expected2] <br>[gw7] [ =
96%] PASSED test/units/module_utils/urls/test_split.py::test__split_multiex=
t[file.tar.-expected3] <br>test/units/module_utils/urls/test_split.py::test=
__split_multiext[file.tar.gz-expected5] <br>test/units/module_utils/urls/te=
st_split.py::test__split_multiext[yaml-0.2.5.zip-expected7] <br>[gw2] [ 96%=
] PASSED test/units/module_utils/urls/test_split.py::test__split_multiext[f=
ile.hidden-expected4] <br>[gw3] [ 96%] PASSED test/units/module_utils/urls/=
test_prepare_multipart.py::test_bad_mime <br>test/units/module_utils/urls/t=
est_split.py::test__split_multiext[yaml-0.2.5.zip.hidden-expected8] <br>tes=
t/units/module_utils/urls/test_split.py::test__split_multiext[yaml-0.2.5.ta=
r.gz-expected6] <br>[gw7] [ 97%] PASSED test/units/module_utils/urls/test_s=
plit.py::test__split_multiext[yaml-0.2.5.zip-expected7] <br>[gw1] [ 97%] PA=
SSED test/units/module_utils/urls/test_split.py::test__split_multiext[file.=
tar.gz-expected5] <br>test/units/module_utils/urls/test_split.py::test__spl=
it_multiext[geckodriver-v0.26.0-linux64.tar-expected9] <br>test/units/modul=
e_utils/urls/test_split.py::test__split_multiext[/var/lib/geckodriver-v0.26=
.0-linux64.tar-expected10] <br>[gw2] [ 97%] PASSED test/units/module_utils/=
urls/test_split.py::test__split_multiext[yaml-0.2.5.zip.hidden-expected8] <=
br>[gw3] [ 97%] PASSED test/units/module_utils/urls/test_split.py::test__sp=
lit_multiext[yaml-0.2.5.tar.gz-expected6] <br>test/units/module_utils/urls/=
test_split.py::test__split_multiext[<a href=3D"https://acme.com/drivers/gec=
kodriver-v0.26.0-linux64.tar-expected11">https://acme.com/drivers/geckodriv=
er-v0.26.0-linux64.tar-expected11</a>] <br>test/units/module_utils/urls/tes=
t_split.py::test__split_multiext[<a href=3D"https://acme.com/drivers/geckod=
river-v0.26.0-linux64.tar.bz-expected12">https://acme.com/drivers/geckodriv=
er-v0.26.0-linux64.tar.bz-expected12</a>] <br>[gw1] [ 97%] PASSED test/unit=
s/module_utils/urls/test_split.py::test__split_multiext[geckodriver-v0.26.0=
-linux64.tar-expected9] <br>[gw7] [ 97%] PASSED test/units/module_utils/url=
s/test_split.py::test__split_multiext[/var/lib/geckodriver-v0.26.0-linux64.=
tar-expected10] <br>test/units/module_utils/urls/test_split.py::test__split=
_multiext_min_max[args1-expected1] <br>test/units/module_utils/urls/test_sp=
lit.py::test__split_multiext_min_max[args0-expected0] <br>[gw3] [ 97%] PASS=
ED test/units/module_utils/urls/test_split.py::test__split_multiext[<a href=
=3D"https://acme.com/drivers/geckodriver-v0.26.0-linux64.tar.bz-expected12"=
>https://acme.com/drivers/geckodriver-v0.26.0-linux64.tar.bz-expected12</a>=
] <br>[gw2] [ 97%] PASSED test/units/module_utils/urls/test_split.py::test_=
_split_multiext[<a href=3D"https://acme.com/drivers/geckodriver-v0.26.0-lin=
ux64.tar-expected11">https://acme.com/drivers/geckodriver-v0.26.0-linux64.t=
ar-expected11</a>] <br>test/units/module_utils/urls/test_split.py::test__sp=
lit_multiext_min_max[args3-expected3] <br>test/units/module_utils/urls/test=
_split.py::test__split_multiext_min_max[args2-expected2] <br>[gw1] [ 97%] P=
ASSED test/units/module_utils/urls/test_split.py::test__split_multiext_min_=
max[args0-expected0] <br>[gw7] [ 97%] PASSED test/units/module_utils/urls/t=
est_split.py::test__split_multiext_min_max[args1-expected1] <br>test/units/=
module_utils/urls/test_split.py::test__split_multiext_min_max[args5-expecte=
d5] <br>test/units/module_utils/urls/test_split.py::test__split_multiext_mi=
n_max[args4-expected4] <br>[gw3] [ 97%] PASSED test/units/module_utils/urls=
/test_split.py::test__split_multiext_min_max[args3-expected3] <br>[gw2] [ 9=
7%] PASSED test/units/module_utils/urls/test_split.py::test__split_multiext=
_min_max[args2-expected2] <br>test/units/module_utils/urls/test_split.py::t=
est__split_multiext_count[kwargs0-expected0] <br>test/units/module_utils/ur=
ls/test_split.py::test__split_multiext_count[kwargs1-expected1] <br>[gw5] [=
 97%] PASSED test/units/module_utils/facts/test_timeout.py::test_implicit_f=
ile_default_succeeds <br>test/units/module_utils/facts/test_timeout.py::tes=
t_implicit_file_default_timesout <br>[gw1] [ 97%] PASSED test/units/module_=
utils/urls/test_split.py::test__split_multiext_min_max[args5-expected5] <br=
>[gw7] [ 97%] PASSED test/units/module_utils/urls/test_split.py::test__spli=
t_multiext_min_max[args4-expected4] <br>test/units/module_utils/urls/test_s=
plit.py::test__split_multiext_count[kwargs3-expected3] <br>test/units/modul=
e_utils/urls/test_split.py::test__split_multiext_count[kwargs2-expected2] <=
br>[gw3] [ 97%] PASSED test/units/module_utils/urls/test_split.py::test__sp=
lit_multiext_count[kwargs0-expected0] <br>[gw2] [ 97%] PASSED test/units/mo=
dule_utils/urls/test_split.py::test__split_multiext_count[kwargs1-expected1=
] <br>test/units/module_utils/urls/test_split.py::test__split_multiext_coun=
t[kwargs4-expected4] <br>test/units/module_utils/urls/test_split.py::test__=
split_multiext_count[kwargs5-expected5] <br>[gw7] [ 98%] PASSED test/units/=
module_utils/urls/test_split.py::test__split_multiext_count[kwargs2-expecte=
d2] <br>[gw1] [ 98%] PASSED test/units/module_utils/urls/test_split.py::tes=
t__split_multiext_count[kwargs3-expected3] <br>test/units/module_utils/urls=
/test_split.py::test__split_multiext_invalid[name1] <br>[gw2] [ 98%] PASSED=
 test/units/module_utils/urls/test_split.py::test__split_multiext_count[kwa=
rgs5-expected5] <br>[gw3] [ 98%] PASSED test/units/module_utils/urls/test_s=
plit.py::test__split_multiext_count[kwargs4-expected4] <br>test/units/modul=
e_utils/urls/test_split.py::test__split_multiext_invalid[name0] <br>test/un=
its/module_utils/urls/test_split.py::test__split_multiext_invalid[name3] <b=
r>test/units/module_utils/urls/test_split.py::test__split_multiext_invalid[=
name2] <br>[gw1] [ 98%] PASSED test/units/module_utils/urls/test_split.py::=
test__split_multiext_invalid[name0] <br>[gw7] [ 98%] PASSED test/units/modu=
le_utils/urls/test_split.py::test__split_multiext_invalid[name1] <br>test/u=
nits/module_utils/urls/test_split.py::test__split_multiext_invalid[247] <br=
>[gw2] [ 98%] PASSED test/units/module_utils/urls/test_split.py::test__spli=
t_multiext_invalid[name3] <br>test/units/module_utils/urls/test_split.py::t=
est__split_multiext_invalid[1.729879] <br>[gw3] [ 98%] PASSED test/units/mo=
dule_utils/urls/test_split.py::test__split_multiext_invalid[name2] <br>test=
/units/module_utils/urls/test_urls.py::test_build_ssl_validation_error <br>=
test/units/module_utils/urls/test_urls.py::test_maybe_add_ssl_handler <br>[=
gw7] [ 98%] PASSED test/units/module_utils/urls/test_split.py::test__split_=
multiext_invalid[1.729879] <br>[gw1] [ 98%] PASSED test/units/module_utils/=
urls/test_split.py::test__split_multiext_invalid[247] <br>test/units/module=
_utils/urls/test_urls.py::test_ParseResultDottedDict <br>test/units/module_=
utils/urls/test_urls.py::test_basic_auth_header <br>[gw2] [ 98%] PASSED tes=
t/units/module_utils/urls/test_urls.py::test_build_ssl_validation_error <br=
>[gw3] [ 98%] PASSED test/units/module_utils/urls/test_urls.py::test_maybe_=
add_ssl_handler <br>test/units/module_utils/urls/test_urls.py::test_unix_so=
cket_patch_httpconnection_connect <br>[gw4] [ 98%] PASSED test/units/module=
_utils/test_api.py::TestRateLimit::test_ratelimit <br>test/units/module_uti=
ls/urls/test_RedirectHandlerFactory.py::test_redir_headers_removal <br>[gw1=
] [ 98%] PASSED test/units/module_utils/urls/test_urls.py::test_basic_auth_=
header <br>[gw7] [ 98%] PASSED test/units/module_utils/urls/test_urls.py::t=
est_ParseResultDottedDict <br>[gw2] [ 98%] PASSED test/units/module_utils/u=
rls/test_urls.py::test_unix_socket_patch_httpconnection_connect <br>[gw4] [=
 98%] PASSED test/units/module_utils/urls/test_RedirectHandlerFactory.py::t=
est_redir_headers_removal <br>test/units/module_utils/urls/test_RedirectHan=
dlerFactory.py::test_redir_url_spaces <br>[gw6] [ 99%] PASSED test/units/mo=
dule_utils/test_api.py::TestRetryWithDelaysAndCondition::test_retry_excepti=
on <br>test/units/module_utils/test_connection.py::test_set_options_credent=
ial_exposure <br>[gw4] [ 99%] PASSED test/units/module_utils/urls/test_Redi=
rectHandlerFactory.py::test_redir_url_spaces <br>test/units/module_utils/ur=
ls/test_RedirectHandlerFactory.py::test_redir_safe <br>[gw6] [ 99%] PASSED =
test/units/module_utils/test_connection.py::test_set_options_credential_exp=
osure <br>test/units/module_utils/test_distro.py::TestDistro::test_info <br=
>[gw4] [ 99%] PASSED test/units/module_utils/urls/test_RedirectHandlerFacto=
ry.py::test_redir_safe <br>test/units/module_utils/urls/test_RedirectHandle=
rFactory.py::test_redir_safe_not_safe <br>[gw6] [ 99%] PASSED test/units/mo=
dule_utils/test_distro.py::TestDistro::test_info <br>test/units/module_util=
s/test_distro.py::TestDistro::test_id <br>[gw4] [ 99%] PASSED test/units/mo=
dule_utils/urls/test_RedirectHandlerFactory.py::test_redir_safe_not_safe <b=
r>test/units/module_utils/urls/test_RedirectHandlerFactory.py::test_redir_n=
o_error_on_invalid <br>[gw6] [ 99%] PASSED test/units/module_utils/test_dis=
tro.py::TestDistro::test_id <br>[gw4] [ 99%] PASSED test/units/module_utils=
/urls/test_RedirectHandlerFactory.py::test_redir_no_error_on_invalid <br>[g=
w0] [ 99%] PASSED test/units/module_utils/facts/test_timeout.py::test_expli=
cit_timeout <br>test/units/module_utils/facts/test_timeout.py::test_timeout=
_raises_timeout <br>[gw5] [ 99%] PASSED test/units/module_utils/facts/test_=
timeout.py::test_implicit_file_default_timesout <br>test/units/module_utils=
/facts/test_timeout.py::test_implicit_file_overridden_succeeds <br>[gw0] [ =
99%] PASSED test/units/module_utils/facts/test_timeout.py::test_timeout_rai=
ses_timeout <br>test/units/module_utils/facts/test_timeout.py::test_timeout=
_raises_timeout_integration_test[stdin0] <br>[gw0] [ 99%] PASSED test/units=
/module_utils/facts/test_timeout.py::test_timeout_raises_timeout_integratio=
n_test[stdin0] <br>test/units/module_utils/facts/test_timeout.py::test_time=
out_raises_other_exception <br>[gw0] [ 99%] PASSED test/units/module_utils/=
facts/test_timeout.py::test_timeout_raises_other_exception <br>test/units/m=
odule_utils/facts/test_timeout.py::test_exception_not_caught_by_called_code=
 <br>[gw5] [ 99%] PASSED test/units/module_utils/facts/test_timeout.py::tes=
t_implicit_file_overridden_succeeds <br>test/units/module_utils/facts/test_=
timeout.py::test_implicit_file_overridden_timesout <br>[gw0] [ 99%] PASSED =
test/units/module_utils/facts/test_timeout.py::test_exception_not_caught_by=
_called_code <br>test/units/module_utils/facts/test_utils.py::TestGetMountS=
ize::test <br>[gw0] [ 99%] PASSED test/units/module_utils/facts/test_utils.=
py::TestGetMountSize::test <br>[gw5] [ 99%] PASSED test/units/module_utils/=
facts/test_timeout.py::test_implicit_file_overridden_timesout <br>test/unit=
s/module_utils/facts/test_timeout.py::test_explicit_succeeds <br>[gw5] [100=
%] PASSED test/units/module_utils/facts/test_timeout.py::test_explicit_succ=
eeds <br><br>=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D FAILURES =3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D<br>_ test_cbt_with_cert[rsa-pss_sha512.pem-\x85\x85\x19\xb9\xe=
1\x0f#\xe2\x1d,\xe9\xd5G*\xab\xceB\x0f\xd1\x00u\x9cS\xa1{\xb9y\x86\xb2Ya&#3=
9;] _<br>[gw7] linux -- Python 3.10.7 /gnu/store/l6fpy0i9hlll9b6k8vy2i2a4cs=
hwz3cv-python-wrapper-3.10.7/bin/python<br>certificate =3D &#39;rsa-pss_sha=
512.pem&#39;<br>expected =3D b&quot;\x85\x85\x19\xb9\xe1\x0f#\xe2\x1d,\xe9\=
xd5G*\xab\xceB\x0f\xd1\x00u\x9cS\xa1{\xb9y\x86\xb2Ya&#39;&quot;<br><br>=C2=
=A0 =C2=A0 @pytest.mark.skipif(not urls.HAS_CRYPTOGRAPHY, reason=3D&#39;Req=
uires cryptography to be installed&#39;)<br>=C2=A0 =C2=A0 @pytest.mark.para=
metrize(&#39;certificate, expected&#39;, [<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 (=
&#39;rsa_md5.pem&#39;, b&#39;\x23\x34\xB8\x47\x6C\xBF\x4E\x6D&#39;<br>=C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 b&#39;\xFC\x76\x6A\x5D\x5A\x30\xD6\x64&#39;<br>=C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 b&#39;\x9C\x=
01\xBA\xE1\x66\x2A\x5C\x3A&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 b&#39;\x13\x02\xA9\x68\xD7\xC=
6\xB0\xF6&#39;),<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 (&#39;rsa_sha1.pem&#39;, b&=
#39;\x14\xCF\xE8\xE4\xB3\x32\xB2\x0A&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\x34\x3=
F\xC8\x40\xB1\x8F\x9F\x6F&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\x78\x92\x6A\xFE\x7E=
\xC3\xE7\xB8&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\xE2\x89\x69\x61\x9B\x1E\x8F\x3=
E&#39;),<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 (&#39;rsa_sha256.pem&#39;, b&#39;\x=
99\x6F\x3E\xEA\x81\x2C\x18\x70&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\xE3\x0=
5\x49\xFF\x9B\x86\xCD\x87&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\xA8\x90\xB6\=
xD8\xDF\xDF\x4A\x81&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\xBE\xF9\x67\x59\=
x70\xDA\xDB\x26&#39;),<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 (&#39;rsa_sha384.pem&=
#39;, b&#39;\x34\xF3\x03\xC9\x95\x28\x6F\x4B&#39;<br>=C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0b&#39;\x21\x4A\x9B\xA6\x43\x5B\x69\xB5&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&=
#39;\x1E\xCF\x37\x58\xEA\xBC\x2A\x14&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;=
\xD7\xA4\x3F\xD2\x37\xDC\x2B\x1A&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\x1A\x=
D9\x11\x1C\x5C\x96\x5E\x10&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\x75\x07\x=
CB\x41\x98\xC0\x9F\xEC&#39;),<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 (&#39;rsa_sha5=
12.pem&#39;, b&#39;\x55\x6E\x1C\x17\x84\xE3\xB9\x57&#39;<br>=C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0b&#39;\x37\x0B\x7F\x54\x4F\x62\xC5\x33&#39;<br>=C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0b&#39;\xCB\x2C\xA5\xC1\xDA\xE0\x70\x6F&#39;<br>=C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0b&#39;\xAE\xF0\x05\x44\xE1\xAD\x2B\x76&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&=
#39;\xFF\x25\xCF\xBE\x69\xB1\xC4\xE6&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;=
\x30\xC3\xBB\x02\x07\xDF\x11\x31&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\x4C\x=
67\x38\xBC\xAE\xD7\xE0\x71&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\xD7\xBF\x=
BF\x2C\x9D\xFA\xB8\x5D&#39;),<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 (&#39;rsa-pss_=
sha256.pem&#39;, b&#39;\xF2\x31\xE6\xFF\x3F\x9E\x16\x1B&#39;<br>=C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\xC2\xDC\xBB\x89\x8D\x84\x47\x4E&#39;<br>=
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\x58\x9C\xD7\xC2\x7A\xDB\xEF\x8=
B&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\xD9\xC0\xC0\x68\xAF\=
x9C\x36\x6D&#39;),<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 (&#39;rsa-pss_sha512.pem&=
#39;, b&#39;\x85\x85\x19\xB9\xE1\x0F\x23\xE2&#39;<br>=C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0b&#39;\x1D\x2C\xE9\xD5\x47\x2A\xAB\xCE&#39;<br>=C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\x42\x0F\xD1\x00\x75\x9C\x53\xA1&#39;<br>=
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\x7B\xB9\x79\x86\xB2\x59\x61\x2=
7&#39;),<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 (&#39;ecdsa_sha256.pem&#39;, b&#39;=
\xFE\xCF\x1B\x25\x85\x44\x99\x90&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39=
;\xD9\xE3\xB2\xC9\x2D\x3F\x59\x7E&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&=
#39;\xC8\x35\x4E\x12\x4E\xDA\x75\x1D&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0b&#39;\x94\x83\x7C\x2C\x89\xA2\xC1\x55&#39;),<br>=C2=A0 =C2=A0 =C2=A0 =
=C2=A0 (&#39;ecdsa_sha512.pem&#39;, b&#39;\xE5\xCB\x68\xB2\xF8\x43\xD6\x3B&=
#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\xF4\x0B\xCB\x20\x07\x60\x8F\x8=
1&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\x97\x61\x83\x92\x78\x3F\x23=
\x30&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\xE5\xEF\x19\xA5\xBD\x8F\x0=
B\x2F&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\xAA\xC8\x61\x85\x5F\xBB=
\x63\xA2&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\x21\xCC\x46\xFC\x1E\=
x22\x6A\x07&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\x24\x11\xAF\x17\x5D=
\xDE\x47\x92&#39;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0b&#39;\x81\xE0\x06\x87\=
x8B\x34\x80\x59&#39;),<br>=C2=A0 =C2=A0 ])<br>=C2=A0 =C2=A0 def test_cbt_wi=
th_cert(certificate, expected):<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 with open(os=
.path.join(os.path.dirname(__file__), &#39;fixtures&#39;, &#39;cbt&#39;, ce=
rtificate)) as fd:<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 cert_der =
=3D base64.b64decode(&quot;&quot;.join([l.strip() for l in fd.readlines()[1=
:-1]]))<br>=C2=A0 =C2=A0 <br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 actual =3D urls.ge=
t_channel_binding_cert_hash(cert_der)<br>&gt; =C2=A0 =C2=A0 =C2=A0 assert a=
ctual =3D=3D expected<br>E =C2=A0 =C2=A0 =C2=A0 assert b&quot;K\x8c\xa5\x..=
.x7fc\x83\xd7b&quot; =3D=3D b&quot;\x85\x85\x1...9y\x86\xb2Ya&#39;&quot;<br=
>E =C2=A0 =C2=A0 =C2=A0 =C2=A0 At index 0 diff: b&#39;K&#39; !=3D b&#39;\x8=
5&#39;<br>E =C2=A0 =C2=A0 =C2=A0 =C2=A0 Full diff:<br>E =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 (<br>E =C2=A0 =C2=A0 =C2=A0 =C2=A0 - =C2=A0b&#39;\x85\x85=
\x19\xb9\xe1\x0f#\xe2\x1d,\xe9\xd5G*\xab\xceB\x0f\xd1\x00u\x9cS\xa1&#39;<br=
>E =C2=A0 =C2=A0 =C2=A0 =C2=A0 - =C2=A0b&quot;{\xb9y\x86\xb2Ya&#39;&quot;,<=
br>E =C2=A0 =C2=A0 =C2=A0 =C2=A0 + =C2=A0b&quot;K\x8c\xa5\xf5y\x89A\xa0\xaf=
&#39;\xeb\x00\xeb\xccUz6z\xe0l\x035\xa3h\xfc\xa6 k&quot;<br>E =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 + =C2=A0b&#39;\xda]\xba\x88\xf8m\xf3\x98\xd2\xd2wW\x87w\xa4\=
x0e\x14\t\xd4]\xb9\xa29\xe2&#39;...<br>E =C2=A0 =C2=A0 =C2=A0 =C2=A0 <br>E =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 ...Full output truncated (3 lines hidden), use =
&#39;-vv&#39; to show<br><br>test/units/module_utils/urls/test_channel_bind=
ing.py:69: AssertionError<br>- generated xml file: /tmp/guix-build-ansible-=
core-2.14.4.drv-0/ansible-core-2.14.4/test/results/junit/python3.10-module_=
utils-units.xml -<br>=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D slowest 25 durations =3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D<br>3.=
01s call =C2=A0 =C2=A0 test/units/module_utils/facts/test_timeout.py::test_=
implicit_file_overridden_succeeds<br>2.03s call =C2=A0 =C2=A0 test/units/mo=
dule_utils/facts/test_timeout.py::test_explicit_timeout<br>2.01s call =C2=
=A0 =C2=A0 test/units/module_utils/facts/test_timeout.py::test_implicit_fil=
e_overridden_timesout<br>2.01s call =C2=A0 =C2=A0 test/units/module_utils/f=
acts/test_timeout.py::test_explicit_succeeds<br>1.02s call =C2=A0 =C2=A0 te=
st/units/module_utils/facts/test_timeout.py::test_implicit_file_default_tim=
esout<br>1.01s call =C2=A0 =C2=A0 test/units/module_utils/facts/test_timeou=
t.py::test_implicit_file_default_succeeds<br>1.01s call =C2=A0 =C2=A0 test/=
units/module_utils/facts/test_timeout.py::test_timeout_raises_timeout_integ=
ration_test[stdin0]<br>1.01s call =C2=A0 =C2=A0 test/units/module_utils/fac=
ts/test_timeout.py::test_timeout_raises_timeout<br>1.01s call =C2=A0 =C2=A0=
 test/units/module_utils/facts/test_timeout.py::test_exception_not_caught_b=
y_called_code<br>1.00s call =C2=A0 =C2=A0 test/units/module_utils/test_api.=
py::TestRetryWithDelaysAndCondition::test_retry_exception<br>0.99s call =C2=
=A0 =C2=A0 test/units/module_utils/test_api.py::TestRateLimit::test_ratelim=
it<br>0.27s call =C2=A0 =C2=A0 test/units/module_utils/facts/hardware/test_=
linux.py::TestFactsLinuxHardwareGetMountFacts::test_get_mount_facts<br>0.24=
s call =C2=A0 =C2=A0 test/units/module_utils/facts/test_facts.py::TestFacts=
LinuxHardwareGetMountFacts::test_get_mount_facts<br>0.20s call =C2=A0 =C2=
=A0 test/units/module_utils/basic/test_no_log.py::TestRemoveValues::test_hi=
t_recursion_limit<br>0.10s setup =C2=A0 =C2=A0test/units/module_utils/basic=
/test_atomic_move.py::test_new_file[stdin0-True]<br>0.09s setup =C2=A0 =C2=
=A0test/units/module_utils/basic/test_atomic_move.py::test_no_tty_fallback[=
stdin0]<br>0.09s setup =C2=A0 =C2=A0test/units/module_utils/basic/test_atom=
ic_move.py::test_existing_file_stat_failure[stdin0]<br>0.09s setup =C2=A0 =
=C2=A0test/units/module_utils/basic/test_atomic_move.py::test_rename_perms_=
fail_temp_succeeds[stdin0-True]<br>0.08s setup =C2=A0 =C2=A0test/units/modu=
le_utils/basic/test_atomic_move.py::test_rename_perms_fail_temp_succeeds[st=
din1-False]<br>0.08s call =C2=A0 =C2=A0 test/units/module_utils/facts/hardw=
are/test_linux_get_cpu_info.py::test_get_cpu_info_nproc<br>0.08s call =C2=
=A0 =C2=A0 test/units/module_utils/facts/test_ansible_collector.py::TestInP=
lace::test1<br>0.07s setup =C2=A0 =C2=A0test/units/module_utils/basic/test_=
atomic_move.py::test_existing_file[stdin0-True]<br>0.07s setup =C2=A0 =C2=
=A0test/units/module_utils/basic/test_atomic_move.py::test_existing_file[st=
din1-False]<br>0.07s setup =C2=A0 =C2=A0test/units/module_utils/facts/syste=
m/distribution/test_distribution_version.py::test_distribution_version[stdi=
n14-Core OS]<br>0.07s setup =C2=A0 =C2=A0test/units/module_utils/facts/syst=
em/distribution/test_distribution_version.py::test_distribution_version[std=
in61-Solaris 10]<br>=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D short test summary info =3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D<br>SKIPPED =
[5] test/units/module_utils/basic/test_log.py:38: python systemd bindings n=
ot installed<br>SKIPPED [1] test/units/module_utils/basic/test_imports.py:8=
4: literal_eval is available in every version of Python3<br>SKIPPED [2] tes=
t/units/module_utils/basic/test_log.py:113: python systemd bindings not ins=
talled<br>SKIPPED [5] test/units/module_utils/basic/test_log.py:130: python=
 systemd bindings not installed<br>SKIPPED [1] test/units/module_utils/basi=
c/test_log.py:139: python systemd bindings not installed<br>SKIPPED [3] tes=
t/units/module_utils/facts/test_facts.py:64: This test class needs to be up=
dated to specify collector_class<br>SKIPPED [1] test/units/module_utils/fac=
ts/test_collectors.py:370: faulty test<br>SKIPPED [1] test/units/module_uti=
ls/facts/test_collectors.py:396: faulty test<br>SKIPPED [1] test/units/modu=
le_utils/facts/test_facts.py:46: This platform (DragonFly) does not have a =
fact_class.<br>SKIPPED [1] test/units/module_utils/facts/test_facts.py:54: =
This platform (DragonFly) does not have a fact_class.<br>FAILED test/units/=
module_utils/urls/test_channel_binding.py::test_cbt_with_cert[rsa-pss_sha51=
2.pem-\x85\x85\x19\xb9\xe1\x0f#\xe2\x1d,\xe9\xd5G*\xab\xceB\x0f\xd1\x00u\x9=
cS\xa1{\xb9y\x86\xb2Ya&#39;]<br>=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D 1 failed, 1681 passed, 21 skipped in 22.34s =3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D<br>FATAL: Command &quot;pytest --forked -=
r a -n 8 --color no -p no:cacheprovider -c /gnu/store/rvraps20lp1gix4r98n96=
q2hydd4vnjk-ansible-core-2.14.4/lib/python3.10/site-packages/ansible_test/_=
data/pytest/config/default.ini --junit-xml /tmp/guix-build-ansible-core-2.1=
4.4.drv-0/ansible-core-2.14.4/test/results/junit/python3.10-module_utils-un=
its.xml --strict-markers --rootdir /tmp/guix-build-ansible-core-2.14.4.drv-=
0/ansible-core-2.14.4 --durations=3D25 -v test/units/module_utils/basic/tes=
t__log_invocation.py test/units/module_utils/basic/test__symbolic_mode_to_o=
ctal.py test/units/module_utils/basic/test_argument_spec.py test/units/modu=
le_utils/basic/test_atomic_move.py test/units/module_utils/basic/test_depre=
cate_warn.py test/units/module_utils/basic/test_dict_converters.py test/uni=
ts/module_utils/basic/test_exit_json.py test/units/module_utils/basic/test_=
filesystem.py test/units/module_utils/basic/test_get_file_attributes.py tes=
t/units/module_utils/basic/test_get_module_path.py test/units/module_utils/=
basic/test_heuristic_log_sanitize.py test/units/module_utils/basic/test_imp=
orts.py test/units/module_utils/basic/test_log.py test/units/module_utils/b=
asic/test_no_log.py test/units/module_utils/basic/test_platform_distributio=
n.py test/units/module_utils/basic/test_run_command.py test/units/module_ut=
ils/basic/test_safe_eval.py test/units/module_utils/basic/test_sanitize_key=
s.py test/units/module_utils/basic/test_selinux.py test/units/module_utils/=
basic/test_set_cwd.py test/units/module_utils/basic/test_set_mode_if_differ=
ent.py test/units/module_utils/common/arg_spec/test_aliases.py test/units/m=
odule_utils/common/arg_spec/test_module_validate.py test/units/module_utils=
/common/arg_spec/test_sub_spec.py test/units/module_utils/common/arg_spec/t=
est_validate_invalid.py test/units/module_utils/common/arg_spec/test_valida=
te_valid.py test/units/module_utils/common/parameters/test_check_arguments.=
py test/units/module_utils/common/parameters/test_handle_aliases.py test/un=
its/module_utils/common/parameters/test_list_deprecations.py test/units/mod=
ule_utils/common/parameters/test_list_no_log_values.py test/units/module_ut=
ils/common/process/test_get_bin_path.py test/units/module_utils/common/test=
_collections.py test/units/module_utils/common/test_dict_transformations.py=
 test/units/module_utils/common/test_locale.py test/units/module_utils/comm=
on/test_network.py test/units/module_utils/common/test_sys_info.py test/uni=
ts/module_utils/common/test_utils.py test/units/module_utils/common/text/co=
nverters/test_container_to_bytes.py test/units/module_utils/common/text/con=
verters/test_container_to_text.py test/units/module_utils/common/text/conve=
rters/test_json_encode_fallback.py test/units/module_utils/common/text/conv=
erters/test_jsonify.py test/units/module_utils/common/text/converters/test_=
to_str.py test/units/module_utils/common/text/formatters/test_bytes_to_huma=
n.py test/units/module_utils/common/text/formatters/test_human_to_bytes.py =
test/units/module_utils/common/text/formatters/test_lenient_lowercase.py te=
st/units/module_utils/common/validation/test_check_missing_parameters.py te=
st/units/module_utils/common/validation/test_check_mutually_exclusive.py te=
st/units/module_utils/common/validation/test_check_required_arguments.py te=
st/units/module_utils/common/validation/test_check_required_by.py test/unit=
s/module_utils/common/validation/test_check_required_if.py test/units/modul=
e_utils/common/validation/test_check_required_one_of.py test/units/module_u=
tils/common/validation/test_check_required_together.py test/units/module_ut=
ils/common/validation/test_check_type_bits.py test/units/module_utils/commo=
n/validation/test_check_type_bool.py test/units/module_utils/common/validat=
ion/test_check_type_bytes.py test/units/module_utils/common/validation/test=
_check_type_dict.py test/units/module_utils/common/validation/test_check_ty=
pe_float.py test/units/module_utils/common/validation/test_check_type_int.p=
y test/units/module_utils/common/validation/test_check_type_jsonarg.py test=
/units/module_utils/common/validation/test_check_type_list.py test/units/mo=
dule_utils/common/validation/test_check_type_path.py test/units/module_util=
s/common/validation/test_check_type_raw.py test/units/module_utils/common/v=
alidation/test_check_type_str.py test/units/module_utils/common/validation/=
test_count_terms.py test/units/module_utils/common/warnings/test_deprecate.=
py test/units/module_utils/common/warnings/test_warn.py test/units/module_u=
tils/facts/hardware/test_aix_processor.py test/units/module_utils/facts/har=
dware/test_linux.py test/units/module_utils/facts/hardware/test_linux_get_c=
pu_info.py test/units/module_utils/facts/hardware/test_sunos_get_uptime_fac=
ts.py test/units/module_utils/facts/network/test_fc_wwn.py test/units/modul=
e_utils/facts/network/test_generic_bsd.py test/units/module_utils/facts/net=
work/test_iscsi_get_initiator.py test/units/module_utils/facts/other/test_f=
acter.py test/units/module_utils/facts/other/test_ohai.py test/units/module=
_utils/facts/system/distribution/test_distribution_sles4sap.py test/units/m=
odule_utils/facts/system/distribution/test_distribution_version.py test/uni=
ts/module_utils/facts/system/distribution/test_parse_distribution_file_Clea=
rLinux.py test/units/module_utils/facts/system/distribution/test_parse_dist=
ribution_file_Slackware.py test/units/module_utils/facts/system/test_cmdlin=
e.py test/units/module_utils/facts/system/test_lsb.py test/units/module_uti=
ls/facts/system/test_user.py test/units/module_utils/facts/test_ansible_col=
lector.py test/units/module_utils/facts/test_collector.py test/units/module=
_utils/facts/test_collectors.py test/units/module_utils/facts/test_date_tim=
e.py test/units/module_utils/facts/test_facts.py test/units/module_utils/fa=
cts/test_sysctl.py test/units/module_utils/facts/test_timeout.py test/units=
/module_utils/facts/test_utils.py test/units/module_utils/facts/virtual/tes=
t_linux.py test/units/module_utils/json_utils/test_filter_non_json_lines.py=
 test/units/module_utils/parsing/test_convert_bool.py test/units/module_uti=
ls/test_api.py test/units/module_utils/test_connection.py test/units/module=
_utils/test_distro.py test/units/module_utils/urls/test_RedirectHandlerFact=
ory.py test/units/module_utils/urls/test_Request.py test/units/module_utils=
/urls/test_RequestWithMethod.py test/units/module_utils/urls/test_channel_b=
inding.py test/units/module_utils/urls/test_fetch_file.py test/units/module=
_utils/urls/test_fetch_url.py test/units/module_utils/urls/test_generic_url=
parse.py test/units/module_utils/urls/test_gzip.py test/units/module_utils/=
urls/test_prepare_multipart.py test/units/module_utils/urls/test_split.py t=
est/units/module_utils/urls/test_urls.py&quot; returned exit status 1.<br>e=
rror: in phase &#39;check&#39;: uncaught exception:<br>%exception #&lt;&amp=
;invoke-error program: &quot;ansible-test&quot; arguments: (&quot;units&quo=
t; &quot;-v&quot; &quot;--num-workers&quot; &quot;8&quot;) exit-status: 1 t=
erm-signal: #f stop-signal: #f&gt; <br>phase `check&#39; failed after 27.4 =
seconds<br>command &quot;ansible-test&quot; &quot;units&quot; &quot;-v&quot=
; &quot;--num-workers&quot; &quot;8&quot; failed with status 1</span><br></=
div></div>

--0000000000002e021f0608d9cbc8--




Acknowledgement sent to Apoorv <apoorvs569@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#66817; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 1 Dec 2023 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.